# generator-fdm-angular ![Build Status](https://travis-ci.org/loetjvr/generator-fdm-angular.svg?branch=master) [![Dependency Status](https://david-dm.org/loetjvr/generator-fdm-angular.svg)](https://david-dm.org/loetjvr/generator-fdm-angular.svg)

> Yeoman generator for AngularJS with [Gulp](http://gulpjs.com/), [Bootstrap](http://getbootstrap.com) and [LESS](http://lesscss.org/)
> based on [generator-angular](https://github.com/yeoman/generator-angular)

## Installation

Install `yo`, `gulp`, `bower`, `generator-fdm-angular`:
```
npm install -g gulp bower yo generator-fdm-angular
```

Make a new directory, and `cd` into it:
```
mkdir my-new-project && cd my-new-project
```

Run `yo fdm-angular`, optionally passing an app name:
```
yo fdm-angular [app-name]
```

## Gulpfile
Serve the project at `http://locahost:9000`
```
gulp serve
```
Add the option `--open` to open and serve the project at `http://locahost:9000`
```
gulp serve --open
```
Generate a `dist` directory ready for production
```
gulp build
```
Run Karma tests
```
gulp test
```
Generate [ngDocs](https://github.com/angular/angular.js/wiki/Writing-AngularJS-Documentation) folder with all the generated documentation in a format that can be hosted
```
gulp docs
```

## Generators

Available generators:
```bash
yo fdm-angular:view name
```

```bash
yo fdm-angular:controller name
```

```bash
yo fdm-angular:route name
```

```bash
yo fdm-angular:directive name
```

```bash
yo fdm-angular:filter name
```

```bash
yo fdm-angular:service name
```

```bash
yo fdm-angular:factory name
```

```bash
yo fdm-angular:constant name
```

## Editor Plugins
* [EditorConfig](http://editorconfig.org/#download)
* [JSHint](http://jshint.com/install/)
* [JSSC](http://jscs.info/overview.html)

## License

MIT
